Messages inopportuns dans apt update

mise-à-jour
dépôts
Tags: #<Tag:0x00007f092bab3430> #<Tag:0x00007f092bab32c8>

#1

Bonjour, lors de l’update j’ai toute une flopée de messages de ce type concernant une imprimante Brother que j’avais eu un mal de chien à faire marcher. Je ne comprends pas pourquoi ces messages persistent.

N: Skipping acquire of configured file 'main/binary-dcp135clpr/Packages' as repository 'http://www.deb-multimedia.org stable InRelease' doesn't support architecture 'dcp135clpr'

Merci


#2

Salut

une architecture dcp135clpr?? je connais amd64, i386,etc
https://wiki.debian.org/SupportedArchitectures

De toute façon ce dépôt http://www.deb-multimedia.org c’est plus une source de problèmes que de solutions ::grinning:


#3

dcp135c c’est le modèle de l’imprimante Brother que j’avais installé.


#4

salut
granstoubab te propose de virer deb-multimedia de ton /etc/apt/sources.list
ensuite

apt-get update && apt-get upgrade

mais le mot architecture ici peut exprimer une grosse erreur de configuration quelques part.


#5

Est-ce que virer deb-multimedia.org ce n’est pas de fait dire adieu à certains programmes très pratiques comme handbrake, ffmpeg, etc. ?


#6

developpe le etc car les deux autres existent dans Debian :grinning:

 apt policy handbrake
handbrake:
  Installé : (aucun)
  Candidat : 1.1.2+ds1-1+b2
 Table de version :
     1.2.0+ds1-1 500
        500 http://deb.debian.org/debian sid/main amd64 Packages
     1.1.2+ds1-1+b2 990
        990 http://deb.debian.org/debian buster/main amd64 Packages
     0.10.5+ds1-2+b3 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
     0.9.9+svn6422+dfsg1-2 500
        500 http://deb.debian.org/debian jessie/main amd64 Packages
 apt policy ffmpeg
ffmpeg:
  Installé : 7:4.0.3-1
  Candidat : 7:4.0.3-1
 Table de version :
     7:4.1-1 500
        500 http://deb.debian.org/debian sid/main amd64 Packages
 *** 7:4.0.3-1 990
        990 http://deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
     7:3.2.12-1~deb9u1 999
        999 http://deb.debian.org/debian-security stretch/updates/main amd64 Packages
        500 http://deb.debian.org/debian stretch/main amd64 Packages

#7

Effectivement certains programmes ne sont accessibles que via dmo (deb-multimedia.org)
je pense par exemple à DVDRIP, avidemux, tvheadend, ou des librairies tel que libdvdcss.
Par contre comme déjà dit handbrake, ffmpeg sont disponibles sur les dépôts debian

ceci dit il reste que le dépôt dmo est déconseillé

aussi si tu souhaites installer un programme accessible uniquement sur dmo je te conseille la procédure suivante :
activer le dépôt dmo
faire un apt-update
NE PAS faire un apt-upgrade mais bien “apt install programme-souhaité”
une fois fait, ne pas oublier de désactiver dmo et refaire un apt-update

je pense que ce conseil est bon sous réserve d’un démenti par les experts debian …

bon travail
invar


#8

Oui et non le mieux dans le cas où il n’y a pas de solution sur les dépôts officiel est tout de même de faire de l’étiquettage pining en anglais.
Mais attention le danger avec le dépôts multimédia c’est que les numéro de version de certains paquets font que si aucun fichier de préférences n’est enregistré a la moindre mis à jour du système, cela peu mettre le bazar …
De plus certaines dépendances risquent à terme de déstabilisé le système de base.

Maintenant pour reprendre l’exemple de tvhead il existe un dépôts qui évitera de piocher sur le dépôt multimédia : https://tvheadend.org/projects/tvheadend/wiki/AptRepositories

Après pour ce type de programme une autre solution un peu plus sexy que de piocher sur le dépôt multimédia et d’avoir recours à des snap ou flatpak, tant que c’est exceptionnelle cette façon de faire reste propre et maintenable.


#9

merci pour ces précisions Clochette (charmant alias …)
je ne connaissais pas snap ni flatpak
ceci dit, je suis étonné de trouver dans leurs listes d’applications, des “classiques” comme inkscape, gimp, libreoffice … (pourtant repris dans les dépôts debian)


#10

Cela te permet de pouvoir utiliser des versions non packagés, assez souvent plus à jour, par contre le snap ou le flatpak contient bien plus que le paquet de Debian afin de pouvoir fonctionner … c’est le revers de la médaille.


#11

S’il y a une erreur de configuration elle n’a pour conséquence que cette pollution de mon apt update. Qu’est-ce que ça pourrait être comme erreur, j’ai fouillé tout le répertoire /apt sans trouver mais j’ai peut-être pas su voir.
Même après suppression du dépôt incriminé, les messages apparaissent.


#12

Bonjour

Il devait sans doute s’agir du répertoire /etc/apt/

Mais ça serait bien que l’on puisse voir le contenu du fichier /etc/apt/sources.list
et peut-être aussi des fichiers contenus dans le répertoire /etc/apt/sources.list.d/


Peut-être en recherchant le motif dcp135clpr dans tous ces fichiers
en lançant la commande :

grep dcp135clpr -rn /etc/apt/*

#13

Bonjour,
Aucune occurrence trouvée dans /etc/apt/

Mon sources.list:

#Version Stable

deb http://deb.debian.org/debian stable main contrib non-free
deb-src http://deb.debian.org/debian stable main contrib non-free

deb http://deb.debian.org/debian-security/ stable/updates main contrib non-free
deb-src http://deb.debian.org/debian-security/ stable/updates main contrib non-free

deb http://deb.debian.org/debian stable-updates main contrib non-free
deb-src http://deb.debian.org/debian stable-updates main contrib non-free

# deb http://www.deb-multimedia.org stable main non-free

#Version Testing

deb http://deb.debian.org/debian/ testing main contrib non-free
deb-src http://deb.debian.org/debian testing main contrib non-free

deb http://security.debian.org/ testing/updates main contrib non-free

# deb http://www.deb-multimedia.org testing main non-free

#Version Unstable

deb http://deb.debian.org/debian/ unstable main contrib non-free
deb-src http://deb.debian.org/debian unstable main contrib non-free

#Backports
#deb http://ftp.debian.org/debian stretch-backports main contrib non-free

Dans sources.list.d/ il y a uniquement un fichier concernant spotify.

Ne puis-je pas élargir la recherche avec grep ?

Merci de ton aide MicP


#14

Curieux les lignes concernant multimedia sont normalement commentées dans mon sources.list


#15

ce sont simplement des questions de mise en forme sur le forum

tu dois encadrer le texte avec 3 cotes saisies par alt gr + 7

tu peux essayer en forçant 64 bits

deb  [arch=amd64]  http://www.deb-multimedia.org testing main non-free

#16

Cela ne change rien, merci quand même !


#17

Un clean du cache d’APT as t’il était fait après les modifications ?